Import Error / LibGL.so.1

How can I fix this error ?

Traceback (most recent call last):
File “/home/runner/Git-quoi/main.py”, line 3, in
from PyQt5.QtWidgets import (
ImportError: libGL.so.1: cannot open shared object file: No such file or directory

I can’t install libGL, “libgl1-mesa-glx”

Someone can help me? Please

Hi @interestingsome , welcome to the forums!
Try using this template made by a community member.
From:

Hope this helps!

1 Like

Judging by the error message, he tried to install the PyQt5 module, but you gave him a link to the topic about PyQt6.

2 Likes

That’s for PyQt6 but I used 5 version :confused:

@interestingsome Try adding pkgs.python3.10-PyQt5 to the replit.nix file, in the deps = [ ] array.

1 Like

I’ve heard that the output actually does not work for my template and so I don’t know if it works.

Add a system dependency (usually via System Dependencies tool) python310Packages.pyqt5 . When you import it from your code, it will probably auto-guess and auto-install the python version of the package, which you can probably ignore since a system dependency will be used for it.
(NOTE: Adding this system package may cause all installed python packages to not be found. There is a fix for this if this happens.)